import { CountdownCircleTimer } from 'react-native-countdown-circle-timer'
import React from 'react';
import {Animated} from 'react-native';
import themeColors from '../assets/colors';

const AppCountDownTimer = () => (
  <CountdownCircleTimer
    isPlaying
    size={40}
    strokeWidth={5}
    duration={10}
    trailColor={themeColors.WHITE}
    colors={[
      [themeColors.BLACK, 0.4],
      [themeColors.SECONDARY_COLOR, 0.4],
      [themeColors.RED, 0.2],
    ]}
  >
    {({ remainingTime }) => (
      <Animated.Text style={{ color: themeColors.WHITE }}>
        {remainingTime}
      </Animated.Text>
    )}
  </CountdownCircleTimer>
);

export default AppCountDownTimer