import React from 'react';
import {View, StyleSheet, Text, ScrollView} from 'react-native';
import { AppStakeItem } from '../components/auction.stake.component';
import { AppContainer } from '../container/container';
import themeColors from '../assets/colors';
import { AuctionBottomTab } from '../Navigations/AuctionBottomTab';
import AppCarousel from '../components/carousel.component';
import { AppAddBid } from '../components/add_bid_button.component';

const  AuctionDetailScreen =  (props, {navigation}) => {
  return (
    <View style={styles.wrapper}>
      <View style={styles.header}>
        <AppCarousel/>
      </View>
      <View style={styles.container}>
        <AppContainer>
          <View style={styles.titleContent}>
            <Text style={styles.auctionHeading}>Auction Item</Text>
            <View style={styles.lotContainer}>
              <Text style={styles.auctionText}>Lot No : </Text>
              <View style={styles.lot}><Text style={styles.lotText}>17839</Text></View>
            </View>
          </View>
          <Text style={styles.auctionText}>Last Stakes</Text>
          <ScrollView horizontal style={{height: 100}}>
            <View style={styles.stakesContainer}>
              <AppStakeItem/>
              <AppStakeItem/>
              <AppStakeItem/>
              <AppStakeItem/>
            </View>
        </ScrollView>
        <AppAddBid/>
        </AppContainer>
        <AuctionBottomTab/>
      </View>
    </View>
  );
};
export default AuctionDetailScreen;

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    backgroundColor: themeColors.WHITE
  },
  container: {
    flex: 1,
    backgroundColor: '#ffffff'
  },
  header: {
    height: '35%',
    marginBottom: 25,
    backgroundColor : themeColors.WHITE
  },
  auctionHeading: {
    fontSize: 24,
    fontWeight: '600',
    color: themeColors.PRIMARY_COLOR
  },
  lotContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between'
  },
  auctionText: {
    marginTop: 10,
    fontSize: 16,
    fontWeight: '400',
    color: themeColors.PRIMARY_COLOR
  },
  lotText: {
     fontSize: 16,
     fontWeight: '400',
     color: themeColors.WHITE
   },
  lot: {
    backgroundColor : themeColors.BLACK,
    borderRadius : 50,
    justifyContent: 'center',
    alignContent: 'center',
    paddingVertical: 8,
    paddingHorizontal: 20
  },
  stakesContainer: {
    height: 125,
    marginTop: 20,
    flexDirection: 'row'
  }
})