import React from 'react';
import {View, StyleSheet, Text, ScrollView, TouchableOpacity} from 'react-native';
import { AppAuctionItem } from '../components/auction_item.component';
import { AppContainer } from '../container/container';
import themeColors from '../assets/colors';
import { AuctionBottomTab } from '../Navigations/AuctionBottomTab';
import { MaterialIcons } from '@expo/vector-icons';

const  UserAuctionListScreen =  ({navigation}) => {
  return (
    <View style={styles.container}>
      <AppContainer>
        <View style={styles.header}>
          <Text style={styles.auctionHeading}>Auctions List</Text>
          <TouchableOpacity onPress={() => navigation.navigate("AuctionCreateScreen")} style={styles.addBtn}>
            <MaterialIcons name="add" size={16} color={themeColors.WHITE} />
          </TouchableOpacity>
        </View>
        <ScrollView>
          <AppAuctionItem label='Auction Item 178' delete onSelect = {() => navigation.navigate("AuctionDetailScreen")}/>
          <AppAuctionItem label='Auction Item 2' delete/>
          <AppAuctionItem label='Auction Item 3' delete/>
          <AppAuctionItem label='Auction Item 4' delete/>
      </ScrollView>
      </AppContainer>
      <AuctionBottomTab/>
    </View>
  );
};
export default UserAuctionListScreen;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    paddingTop: 50,
    backgroundColor: '#ffffff'
  },
  header: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    height: 50
  },
  auctionHeading: {
    fontSize: 24,
    fontWeight: 'bold',
    color: themeColors.BLACK,
  },
  addBtn:{
    alignItems: "center",
    padding: 8,
    backgroundColor: themeColors.BLACK,
    borderRadius: 20,
    shadowColor: 'rgba(0,0,0, .4)',
    shadowOffset: { height: 2, width: 1 },
    shadowOpacity: 1,
    shadowRadius: 1,
    elevation: 2,
    height: 33
  },
})