// Example of Splash, Login and Sign Up in React Native
// https://aboutreact.com/react-native-login-and-signup/

// Import React and Component
import React from 'react';
import {View, StyleSheet, Text, ScrollView} from 'react-native';
import { AppAuctionItem } from '../components/auction_item.component';
import { AppContainer } from '../container/container';
import themeColors from '../assets/colors';
import { AuctionBottomTab } from '../Navigations/AuctionBottomTab';

const  UserBidScreen =  ({navigation}) => {
  return (
    <View style={styles.container}>
      <AppContainer>
        <Text style={styles.auctionHeading}>Auctions List</Text>
        <ScrollView>
          <View>
            <AppAuctionItem label='Auction Item 1' onPress = {() => navigation.navigate("SignUp")}/>
            <AppAuctionItem label='Auction Item 2'/>
            <AppAuctionItem label='Auction Item 3'/>
            <AppAuctionItem label='Auction Item 4'/>
          </View>
      </ScrollView>
      </AppContainer>
      <AuctionBottomTab/>
    </View>
  );
};
export default UserBidScreen;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#ffffff'
  },
  header: {
    height: '35%',
    marginBottom: 25,
    backgroundColor : themeColors.PRIMARY_COLOR
  },
  btnRowContainer: {
    maxHeight: 100
  },
  contentContainer: {
    flex: 1,
    flexDirection: 'row',
    margin: 20
  },
  auctionHeading: {
    fontSize: 24,
    fontWeight: 'bold',
    color: themeColors.SECONDARY_COLOR
  }
})